# ``twisted`.`pair`.`tuntap`.`_RealSystem``

class documentation

`class _RealSystem: (source)`

View In Hierarchy

An interface to the parts of the operating system which `TuntapPort` relies on. This is most of an implementation of `_IInputOutputSystem`.

Constant | `O_CLOEXEC` | Undocumented
Class Variable | `close` | Undocumented
Class Variable | `ioctl` | Undocumented
Class Variable | `open` | Undocumented
Class Variable | `read` | Undocumented
Class Variable | `write` | Undocumented

O_CLOEXEC = (source)

Undocumented

Value

    getattr(os, 'O_CLOEXEC', 524288)

close = (source)

Undocumented

ioctl = (source)

Undocumented

open = (source)

Undocumented

read = (source)

Undocumented

write = (source)

Undocumented